Bug 820019 - suboptimal default max_block_size for 32-bit
suboptimal default max_block_size for 32-bit
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.8
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: J. Bruce Fields
Filesystem QE
:
Depends On:
Blocks: 820020
  Show dependency treegraph
 
Reported: 2012-05-08 18:30 EDT by J. Bruce Fields
Modified: 2017-04-04 16:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 820020 (view as bug list)
Environment:
Last Closed: 2017-04-04 16:41:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. Bruce Fields 2012-05-08 18:30:10 EDT
When we extended nfsd's maximum IO size to 1MB, the servers configured with lots of nfsd threads started failing to create them all, because more memory was then required per thread.

For the short term we decided to document the change and allow people to manually adjust the maximum IO size.

However as noticed at
https://bugzilla.redhat.com/show_bug.cgi?id=765751#c21

we'd get a more reasonable defaults on 32-bit servers if the heuristic used to choose a default maximum IO size was based on the amount of low memory available instead of on the total amount of RAM available.

Patches doing this have since gone upstream: 508f92275624fc755104b17945bdc822936f1918 "nfsd: fix default iosize calculation on 32bit" and 87b0fc7deb5feccf93b022f6a976e8441152dbb2 "nfsd: cleanup setting of default max_block_size".
Comment 1 RHEL Product and Program Management 2012-05-08 18:39:44 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 J. Bruce Fields 2012-07-09 14:28:00 EDT
We've seen a problem with these patches upstream: when a server is upgraded, the wsize may decrease.  Clients don't renegotiate new wsize after a reboot.  Therefore they continue trying to send larger writes, which may fail.  The problem may be worked around by either unmounting all clients before the server upgrade or remounting any affected clients after the upgrade.

For now, I think this isn't worth applying unless we think of a way to avoid the problem.
Comment 8 Chris Williams 2017-04-04 16:41:55 EDT
Red Hat Enterprise Linux 5 shipped it's last minor release, 5.11, on September 14th, 2014. On March 31st, 2017 RHEL 5 exits Production Phase 3 and enters Extended Life Phase. For RHEL releases in the Extended Life Phase, Red Hat  will provide limited ongoing technical support. No bug fixes, security fixes, hardware enablement or root-cause analysis will be available during this phase, and support will be provided on existing installations only.  If the customer purchases the Extended Life-cycle Support (ELS), certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release will be provided.  The specific support and services provided during each phase are described in detail at http://redhat.com/rhel/lifecycle

This BZ does not appear to meet ELS criteria so is being closed WONTFIX. If this BZ is critical for your environment and you have an Extended Life-cycle Support Add-on entitlement, please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration of an errata. Please note, only certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release can be considered.

Note You need to log in before you can comment on or make changes to this bug.